Bug 1383725 - Review Request: python-restructuredtext-lint - reStructuredText linter
Summary: Review Request: python-restructuredtext-lint - reStructuredText linter
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-11 15:12 UTC by Julien Enselme
Modified: 2016-11-19 21:06 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-10 03:29:09 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Julien Enselme 2016-10-11 15:12:53 UTC
Spec URL: http://dl.jujens.eu/SPECS/python-restructuredtext_lint.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-restructuredtext_lint-0.17.2-1.fc24.src.rpm

Description:
Lint reStructuredText linter files with an API or a CLI.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-10-29 22:58:41 UTC
Name should be "python-restructuredtext-lint" (dashes are nowadays preferred: https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Separators).

%description should be extended a bit: e.g. what types of errors does this detect?

Is a separate executable needed for python2 and 3? rst is not python-version-specific, so most likely there should be just one executable.

Comment 2 Julien Enselme 2016-10-30 09:37:21 UTC
> Name should be "python-restructuredtext-lint"

Fixed.

> %description should be extended a bit:

Done.

> Is a separate executable needed for python2 and 3?

I don't think so indeed. Corrected.

Spec URL: http://dl.jujens.eu/SPECS/python-restructuredtext-lint.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-restructuredtext-lint-0.17.2-2.fc24.src.rpm

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-10-30 14:15:04 UTC
It reports errors and warning including:\
- Unknow directives\
- Wrong usage of directives\
- Inconsitencies in title levels\
- unexpected unindent

unknown, wrong, inconsistencies (case and typos)

"| xargs rm -f" → -delete


+ license is acceptable ("unlicense")
+ license is specified correctly
+ package name is OK
+ standard python packaging template is used
+ %python_provide is present
+ builds and installs OK
+ provides/requires look OK

Package is APPROVED.

Comment 4 Julien Enselme 2016-10-30 15:59:48 UTC
> unknown, wrong, inconsistencies (case and typos)

Corrected

> "| xargs rm -f" → -delete

It's better. SPEC updated.

Thanks for the review.

Comment 5 Gwyn Ciesla 2016-10-31 12:45:22 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-restructuredtext-lint

Comment 6 Fedora Update System 2016-10-31 13:45:58 UTC
python-restructuredtext-lint-0.17.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e14325f41d

Comment 7 Fedora Update System 2016-10-31 13:52:17 UTC
python-restructuredtext-lint-0.17.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-975059890f

Comment 8 Fedora Update System 2016-11-01 02:21:52 UTC
python-restructuredtext-lint-0.17.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e14325f41d

Comment 9 Fedora Update System 2016-11-01 18:22:24 UTC
python-restructuredtext-lint-0.17.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-975059890f

Comment 10 Fedora Update System 2016-11-10 03:29:09 UTC
python-restructuredtext-lint-0.17.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-19 21:06:34 UTC
python-restructuredtext-lint-0.17.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.